#! /usr/bin/env python


import sys, os

if len(sys.argv) == 1:
   start_dir = '.'
elif len(sys.argv) == 2:
   start_dir = sys.argv[1]
else:
   sys.exit("Usage: %s [start_dir]" % sys.argv[0])


def find_no3(arg, dirname, names):
   if dirname == '.': return

   has_mp3 = 0
   for filename in names:
      if filename.endswith(".mp3"):
         has_mp3 = 1
         break
   if not has_mp3:
      print dirname


os.path.walk(start_dir, find_no3, None)
